[ Index ]

PHP Cross Reference of WordPress

title

Body

[close]

/wp-content/themes/twentynineteen/inc/ -> back-compat.php (summary)

Twenty Nineteen back compat functionality Prevents Twenty Nineteen from running on WordPress versions prior to 4.7, since this theme is not meant to be backward compatible beyond that and relies on many newer functions and markup changes introduced in 4.7.

File Size: 79 lines (2 kb)
Included or required:0 times
Referenced: 0 times
Includes or requires: 0 files

Defines 4 functions

  twentynineteen_switch_theme()
  twentynineteen_upgrade_notice()
  twentynineteen_customize()
  twentynineteen_preview()

Functions
Functions that are not part of a class:

twentynineteen_switch_theme()   X-Ref
Prevent switching to Twenty Nineteen on old versions of WordPress.

Switches to the default theme.

since: Twenty Nineteen 1.0.0

twentynineteen_upgrade_notice()   X-Ref
Adds a message for unsuccessful theme switch.

Prints an update nag after an unsuccessful attempt to switch to
Twenty Nineteen on WordPress versions prior to 4.7.

since: Twenty Nineteen 1.0.0

twentynineteen_customize()   X-Ref
Prevents the Customizer from being loaded on WordPress versions prior to 4.7.

since: Twenty Nineteen 1.0.0

twentynineteen_preview()   X-Ref
Prevents the Theme Preview from being loaded on WordPress versions prior to 4.7.

since: Twenty Nineteen 1.0.0



Generated: Wed Oct 23 01:00:03 2019 Cross-referenced by PHPXref 0.7.1